> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Create user

POST https://{tenant}.atomicwork.com/api/v1/users
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/users/postapi-v-1-users

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/users:
    post:
      operationId: postapi-v-1-users
      summary: Create user
      tags:
        - subpackage_users
      parameters:
        - name: send_email
          in: query
          description: Send welcome email or not
          required: false
          schema:
            type: boolean
            default: false
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Users_postapi_v1_users_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                middle_name:
                  type: string
                last_name:
                  type: string
                email:
                  type: string
                  format: email
                personal_email:
                  type: string
                  format: email
                timezone:
                  type: string
                  default: America/Los_Angeles
                language:
                  type: string
                department:
                  type: integer
                  format: int64
                team:
                  type: integer
                  format: int64
                level:
                  type: string
                title:
                  type: string
                address:
                  type: string
                originally_hired:
                  type: string
                  format: date
                joined_on:
                  type: string
                  format: date
                terminated_on:
                  type: string
                  format: date
                employee_id:
                  type: string
                date_of_birth:
                  type: string
                  format: date
                phone_number:
                  type: string
                gender:
                  type: string
                state:
                  type: string
                city:
                  type: string
                country:
                  type: string
                hr:
                  type: integer
                  format: int64
                manager:
                  type: integer
                  format: int64
                is_deleted:
                  type: boolean
                deleted_at:
                  type: string
                  format: date-time
                employment_status:
                  type: string
                slack_id:
                  type: string
                azure_id:
                  type: string
                external_id:
                  type: string
                external_app_type:
                  $ref: >-
                    #/components/schemas/ApiV1UsersPostRequestBodyContentApplicationJsonSchemaExternalAppType
                org_roles:
                  type: array
                  items:
                    type: integer
                    format: int64
                password:
                  type: string
                profile_image:
                  type: integer
                  format: int64
                custom_fields:
                  $ref: >-
                    #/components/schemas/ApiV1UsersPostRequestBodyContentApplicationJsonSchemaCustomFields
                has_reporters:
                  type: boolean
                  default: false
                type:
                  $ref: >-
                    #/components/schemas/ApiV1UsersPostRequestBodyContentApplicationJsonSchemaType
                workspaces:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ApiV1UsersPostRequestBodyContentApplicationJsonSchemaWorkspacesItems
                notification_enabled:
                  type: boolean
                  default: true
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    ApiV1UsersPostRequestBodyContentApplicationJsonSchemaExternalAppType:
      type: string
      enum:
        - MICROSOFT
        - OKTA
        - GOOGLE
        - RAPID7
      title: ApiV1UsersPostRequestBodyContentApplicationJsonSchemaExternalAppType
    ApiV1UsersPostRequestBodyContentApplicationJsonSchemaCustomFields:
      type: object
      properties: {}
      title: ApiV1UsersPostRequestBodyContentApplicationJsonSchemaCustomFields
    ApiV1UsersPostRequestBodyContentApplicationJsonSchemaType:
      type: string
      enum:
        - EMPLOYEE
        - EXTERNAL
        - AI_EMPLOYEE
      title: ApiV1UsersPostRequestBodyContentApplicationJsonSchemaType
    ApiV1UsersPostRequestBodyContentApplicationJsonSchemaWorkspacesItems:
      type: object
      properties:
        id:
          type: integer
          format: int64
        roles:
          type: array
          items:
            type: integer
            format: int64
      title: ApiV1UsersPostRequestBodyContentApplicationJsonSchemaWorkspacesItems
    Users_postapi_v1_users_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Users_postapi_v1_users_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/users"

payload = {
    "first_name": "Emily",
    "middle_name": "Grace",
    "last_name": "Johnson",
    "email": "emily.johnson@atomicwork.com",
    "personal_email": "emily.johnson@gmail.com",
    "timezone": "America/Los_Angeles",
    "language": "en",
    "department": 12,
    "team": 5,
    "level": "Senior",
    "title": "Product Manager",
    "address": "1234 Elm Street, San Francisco, CA 94107",
    "originally_hired": "2018-06-15",
    "joined_on": "2018-06-15",
    "terminated_on": ""
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/users';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"first_name":"Emily","middle_name":"Grace","last_name":"Johnson","email":"emily.johnson@atomicwork.com","personal_email":"emily.johnson@gmail.com","timezone":"America/Los_Angeles","language":"en","department":12,"team":5,"level":"Senior","title":"Product Manager","address":"1234 Elm Street, San Francisco, CA 94107","originally_hired":"2018-06-15","joined_on":"2018-06-15","terminated_on":""}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/users"

	payload := strings.NewReader("{\n  \"first_name\": \"Emily\",\n  \"middle_name\": \"Grace\",\n  \"last_name\": \"Johnson\",\n  \"email\": \"emily.johnson@atomicwork.com\",\n  \"personal_email\": \"emily.johnson@gmail.com\",\n  \"timezone\": \"America/Los_Angeles\",\n  \"language\": \"en\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"1234 Elm Street, San Francisco, CA 94107\",\n  \"originally_hired\": \"2018-06-15\",\n  \"joined_on\": \"2018-06-15\",\n  \"terminated_on\": \"\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"first_name\": \"Emily\",\n  \"middle_name\": \"Grace\",\n  \"last_name\": \"Johnson\",\n  \"email\": \"emily.johnson@atomicwork.com\",\n  \"personal_email\": \"emily.johnson@gmail.com\",\n  \"timezone\": \"America/Los_Angeles\",\n  \"language\": \"en\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"1234 Elm Street, San Francisco, CA 94107\",\n  \"originally_hired\": \"2018-06-15\",\n  \"joined_on\": \"2018-06-15\",\n  \"terminated_on\": \"\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/users")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"first_name\": \"Emily\",\n  \"middle_name\": \"Grace\",\n  \"last_name\": \"Johnson\",\n  \"email\": \"emily.johnson@atomicwork.com\",\n  \"personal_email\": \"emily.johnson@gmail.com\",\n  \"timezone\": \"America/Los_Angeles\",\n  \"language\": \"en\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"1234 Elm Street, San Francisco, CA 94107\",\n  \"originally_hired\": \"2018-06-15\",\n  \"joined_on\": \"2018-06-15\",\n  \"terminated_on\": \"\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/users', [
  'body' => '{
  "first_name": "Emily",
  "middle_name": "Grace",
  "last_name": "Johnson",
  "email": "emily.johnson@atomicwork.com",
  "personal_email": "emily.johnson@gmail.com",
  "timezone": "America/Los_Angeles",
  "language": "en",
  "department": 12,
  "team": 5,
  "level": "Senior",
  "title": "Product Manager",
  "address": "1234 Elm Street, San Francisco, CA 94107",
  "originally_hired": "2018-06-15",
  "joined_on": "2018-06-15",
  "terminated_on": ""
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/users");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"first_name\": \"Emily\",\n  \"middle_name\": \"Grace\",\n  \"last_name\": \"Johnson\",\n  \"email\": \"emily.johnson@atomicwork.com\",\n  \"personal_email\": \"emily.johnson@gmail.com\",\n  \"timezone\": \"America/Los_Angeles\",\n  \"language\": \"en\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"1234 Elm Street, San Francisco, CA 94107\",\n  \"originally_hired\": \"2018-06-15\",\n  \"joined_on\": \"2018-06-15\",\n  \"terminated_on\": \"\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "first_name": "Emily",
  "middle_name": "Grace",
  "last_name": "Johnson",
  "email": "emily.johnson@atomicwork.com",
  "personal_email": "emily.johnson@gmail.com",
  "timezone": "America/Los_Angeles",
  "language": "en",
  "department": 12,
  "team": 5,
  "level": "Senior",
  "title": "Product Manager",
  "address": "1234 Elm Street, San Francisco, CA 94107",
  "originally_hired": "2018-06-15",
  "joined_on": "2018-06-15",
  "terminated_on": ""
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```